// 获取时间差
export default function getTimeDiffer (date1, date2, type) {
  const date3 = date1.getTime() - date2.getTime() // 时间差的毫秒数
  let result = 0
  switch (type) {
    case 'd':
      result = date3 / (1000 * 60 * 60 * 24)
      break
    case 'h':
      result = date3 / (1000 * 60 * 60)
      break
    case 'm':
      result = date3 / (1000 * 60)
      break
    case 's':
      result = date3 / 1000
      break
    default:
      break
  }
  return result
}

// 计算两个时间之间的时间差 多少天时分秒
export const intervalTime = (startTime, endTime) => {
  var date1 = startTime // 开始时间
  var date2 = endTime // 结束时间
  var date3 = (date2 - date1) // 时间差的毫秒数
  // 计算出相差天数
  var days = Math.floor(date3 / (24 * 3600 * 1000))
  if (days < 0) {
    days = days * (-1)
  }

  // 计算出小时数
  var leave1 = date3 % (24 * 3600 * 1000) // 计算天数后剩余的毫秒数
  var hours = Math.floor(leave1 / (3600 * 1000))
  // 计算相差分钟数
  // var leave2 = leave1 % (3600 * 1000) // 计算小时数后剩余的毫秒数
  // var minutes = Math.floor(leave2 / (60 * 1000))

  // 计算相差秒数
  // var leave3 = leave2 % (60 * 1000) // 计算分钟数后剩余的毫秒数
  // var seconds = Math.round(leave3 / 1000)
  // return   days + "天 " + hours + "小时 " + minutes + " 分钟" + seconds + " 秒"
  return days + '天 ' + hours + '小时 '
}
